 
#include <stdio.h>

int main() {
  int n,br_karaktera,br_vrsta,br_praznih,br_zvezdica,br_crtica,k,j;
  scanf("%d", &n);
  if (n<0) {
    printf("-1\n");
    return 1;
  }
  br_vrsta=n;
  br_praznih=0;
  br_karaktera=n+3;
  for (k=0;k<n;k++){
    for (j=0;j<br_praznih;j++)
      printf(" ");
    for (j=0;j<br_karaktera;j++)
      printf("*");
    for (j=0;j<br_karaktera;j++)
      printf("-");
    for (j=0;j<br_praznih;j++)
      printf(" ");
    printf("\n");
    br_praznih-=2;
    br_karaktera-=2;
  }
  return 0;
}